Subject: [Errata Rejected] RFC5952 (4900)

From: RFC Errata System <[email-masked]>
Date: Sun, 26 Dec 2021 18:08:02 -0800 (PST)

The following errata report has been rejected for RFC5952,
"A Recommendation for IPv6 Address Text Representation".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid4900

--------------------------------------
Status: Rejected
Type: Editorial

Reported by: Michael Krzyzaniak <[email-masked]>
Date Reported: 2017-01-10
Rejected by: Erik Kline (IESG)

Section: 4.2.2.

Original Text
-------------
Handling One 16-Bit 0 Field

The symbol "::" MUST NOT be used to shorten just one 16-bit 0 field.
   For example, the representation 2001:db8:0:1:1:1:1:1 is correct, but
   2001:db8::1:1:1:1:1 is not correct.

Corrected Text
--------------
But Section 2.2.  Zero Compression
says:

'A special syntax is available to compress the zeros.  The use of
      "::" indicates one or more groups of 16 bits of zeros.'

   It is possible to select whether or not to omit just one 16-bit 0
   field.

      2001:db8:aaaa:bbbb:cccc:dddd::1

      2001:db8:aaaa:bbbb:cccc:dddd:0:1

Notes
-----
In 2.2 :: for only one 16-bit 0 filed :: is used
4.2.2 says MUST NOT -RFC 2119 says
2. MUST NOT   This phrase, or the phrase "SHALL NOT", mean that the
   definition is an absolute prohibition of the specification.
 --VERIFIER NOTES-- 
Valid versus canonical forms; see https://www.rfc-editor.org/errata/eid4986 for links to further discussion.

--------------------------------------
RFC5952 (draft-ietf-6man-text-addr-representation-07)
--------------------------------------
Title               : A Recommendation for IPv6 Address Text Representation
Publication Date    : August 2010
Author(s)           : S. Kawamura, M. Kawashima
Category            : PROPOSED STANDARD
Source              : IPv6 Maintenance
Area                : Internet
Stream              : IETF
Verifying Party     : IESG